package com.cm.common.config.properties;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @ClassName: ApiUrlProperties
 * @Description: api
 * @Author: WangGeng
 * @Date: 2019/4/22 9:42 PM
 * @Version: 1.0
 **/
@Component
@ConfigurationProperties(prefix = "api-path")
public class ApiPathProperties {

    private String userCenter;

    public String getUserCenter() {
        return userCenter == null ? "" : userCenter.trim();
    }

    public void setUserCenter(String userCenter) {
        this.userCenter = userCenter;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userCenter\":")
                .append("\"").append(userCenter).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
